#include <stdio.h>
int main()
{
    int a, x, b, y;
    scanf("%i %i", &a,&b);
    scanf("%i %i", &x,&y);
    if(a == b && x == y && a == x)
    {
        printf("nijedan");
        return 0;
    }
    if(a == x)
    {
        printf("drugi");
        return 0;
    }
    if(b == y)
    {
        printf("prvi");
        return 0;
    }
    printf("?");
    return 0;
}